package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.IndexDataType;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(index_base_month_data):
 */
public class IndexBaseMonthData {

	/**  */
	private Long id;
	
	/**  */
	private java.util.Date month;

	private String title;
	
	/** 分部编号 */
	private Integer organId;
	
	/** 总数量 */
	private BigDecimal totalNum;
	
	/** 有效数量 */
	private BigDecimal activateNum;
	
	/** 最终结果 */
	private BigDecimal percent;

	private IndexDataType dataType;

	private Date createTime;

	private Date updateTime;

	public IndexBaseMonthData() {
	}

	public IndexBaseMonthData(Date month, Integer organId) {
		this.month = month;
		this.organId = organId;
		this.totalNum = BigDecimal.ZERO;
		this.activateNum = BigDecimal.ZERO;
		this.percent = BigDecimal.ZERO;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Date getMonth() {
		return month;
	}

	public void setMonth(Date month) {
		this.month = month;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public BigDecimal getTotalNum() {
		return totalNum;
	}

	public void setTotalNum(BigDecimal totalNum) {
		this.totalNum = totalNum;
	}

	public BigDecimal getActivateNum() {
		return activateNum;
	}

	public void setActivateNum(BigDecimal activateNum) {
		this.activateNum = activateNum;
	}

	public BigDecimal getPercent() {
		return percent;
	}

	public void setPercent(BigDecimal percent) {
		this.percent = percent;
	}

	public IndexDataType getDataType() {
		return dataType;
	}

	public void setDataType(IndexDataType dataType) {
		this.dataType = dataType;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
}
